Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.quartz.listeners
Class BroadcastTriggerListener

    java.lang.Object
      org.quartz.listeners.BroadcastTriggerListener

All Implemented Interfaces:
  TriggerListener

    public class BroadcastTriggerListener

extends Object
implements TriggerListener

Holds a List of references to TriggerListener instances and broadcasts all events to them (in order).

The broadcasting behavior of this listener to delegate listeners may be more convenient than registering all of the listeners directly with the Scheduler, and provides the flexibility of easily changing which listeners get notified.

Author:
  James House (jhouse AT revolition DOT net)
See Also:
  `addListener(org.quartz.TriggerListener)`, `removeListener(org.quartz.TriggerListener)`, `removeListener(String)`

Constructor Summary
`BroadcastTriggerListener(String name)` Construct an instance with the given name.
`BroadcastTriggerListener(String name, List<TriggerListener> listeners)` Construct an instance with the given name, and List of listeners.

Method Summary
`void` | `addListener(TriggerListener listener)`
`List<TriggerListener>` | `getListeners()`
`String` | `getName()` Get the name of the `TriggerListener`.
`boolean` | `removeListener(String listenerName)`
`boolean` | `removeListener(TriggerListener listener)`
`void` | `triggerComplete(Trigger trigger, JobExecutionContext context, Trigger.CompletedExecutionInstruction triggerInstructionCode)` Called by the ``Scheduler`` when a ``Trigger`` has fired, it's associated ``JobDetail`` has been executed, and it's `triggered(xx)` method has been called.
`void` | `triggerFired(Trigger trigger, JobExecutionContext context)` Called by the ``Scheduler`` when a ``Trigger`` has fired, and it's associated ``JobDetail`` is about to be executed.
`void` | `triggerMisfired(Trigger trigger)` Called by the ``Scheduler`` when a ``Trigger`` has misfired.
`boolean` | `vetoJobExecution(Trigger trigger, JobExecutionContext context)` Called by the ``Scheduler`` when a ``Trigger`` has fired, and it's associated ``JobDetail`` is about to be executed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BroadcastTriggerListener

    public BroadcastTriggerListener(String name)

  Construct an instance with the given name. (Remember to add some delegate listeners!)

  Parameters:
    `name` - the name of this instance

### BroadcastTriggerListener

    public BroadcastTriggerListener(String name,
                                    List<TriggerListener> listeners)

  Construct an instance with the given name, and List of listeners.

  Parameters:
    `name` - the name of this instance
    `listeners` - the initial List of TriggerListeners to broadcast to.

Method Detail

### getName

    public String getName()

  Description copied from interface: `TriggerListener`

  Get the name of the `TriggerListener`.

  Specified by:
    `getName` in interface `TriggerListener`

### addListener

    public void addListener(TriggerListener listener)

### removeListener

    public boolean removeListener(TriggerListener listener)

### removeListener

    public boolean removeListener(String listenerName)

### getListeners

    public List<TriggerListener> getListeners()

### triggerFired

    public void triggerFired(Trigger trigger,
                             JobExecutionContext context)

  Description copied from interface: `TriggerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has fired, and it's associated ``JobDetail`` is about to be executed.

  It is called before the `vetoJobExecution(..)` method of this interface.

  Specified by:
    `triggerFired` in interface `TriggerListener`
  Parameters:
    `trigger` - The `Trigger` that has fired.
    `context` - The `JobExecutionContext` that will be passed to the `Job`'s`execute(xx)` method.

### vetoJobExecution

    public boolean vetoJobExecution(Trigger trigger,
                                    JobExecutionContext context)

  Description copied from interface: `TriggerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has fired, and it's associated ``JobDetail`` is about to be executed. If the implementation vetos the execution (via returning `true`), the job's execute method will not be called.

  It is called after the `triggerFired(..)` method of this interface.

  Specified by:
    `vetoJobExecution` in interface `TriggerListener`
  Parameters:
    `trigger` - The `Trigger` that has fired.
    `context` - The `JobExecutionContext` that will be passed to the `Job`'s`execute(xx)` method.

### triggerMisfired

    public void triggerMisfired(Trigger trigger)

  Description copied from interface: `TriggerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has misfired.

  Consideration should be given to how much time is spent in this method, as it will affect all triggers that are misfiring. If you have lots of triggers misfiring at once, it could be an issue it this method does a lot.

  Specified by:
    `triggerMisfired` in interface `TriggerListener`
  Parameters:
    `trigger` - The `Trigger` that has misfired.

### triggerComplete

    public void triggerComplete(Trigger trigger,
                                JobExecutionContext context,
                                Trigger.CompletedExecutionInstruction triggerInstructionCode)

  Description copied from interface: `TriggerListener`

  Called by the ``Scheduler`` when a ``Trigger`` has fired, it's associated ``JobDetail`` has been executed, and it's `triggered(xx)` method has been called.

  Specified by:
    `triggerComplete` in interface `TriggerListener`
  Parameters:
    `trigger` - The `Trigger` that was fired.
    `context` - The `JobExecutionContext` that was passed to the `Job`'s`execute(xx)` method.
    `triggerInstructionCode` - the result of the call on the `Trigger`'s`triggered(xx)` method.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2016, Terracotta, Inc.